gig::playback_state_t Struct Reference

Reflects the current playback state for a sample. More...

`#include <gig.h>`

## Public Attributes

file_offset_t | position
| Current position within the sample.
bool | reverse
| If playback direction is currently backwards (in case there is a pingpong or reverse loop defined).
file_offset_t | loop_cycles_left
| How many times the loop has still to be passed, this value will be decremented with each loop cycle.

## Detailed Description

Reflects the current playback state for a sample.

Definition at line 422 of file gig.h.

## Member Data Documentation

## loop_cycles_left

file_offset_t gig::playback_state_t::loop_cycles_left

How many times the loop has still to be passed, this value will be decremented with each loop cycle.

Definition at line 425 of file gig.h.

Referenced by gig::Sample::ReadAndLoop().

## position

file_offset_t gig::playback_state_t::position

Current position within the sample.

Definition at line 423 of file gig.h.

Referenced by gig::Sample::ReadAndLoop().

## reverse

bool gig::playback_state_t::reverse

If playback direction is currently backwards (in case there is a pingpong or reverse loop defined).

Definition at line 424 of file gig.h.

Referenced by gig::Sample::ReadAndLoop().

The documentation for this struct was generated from the following file:

- gig.h